# RangedPrimitive Class Reference
[Base data types used in Form, Classes implemented in PHP's extension.]

Inheritance diagram for RangedPrimitive:
[legend]

List of all members.

## Public Member Functions

| getMin ()
| setMin ($min)
| getMax ()
| setMax ($max)

## Protected Attributes

| $min = null
| $max = null

## Detailed Description

Definition at line 16 of file RangedPrimitive.class.php.

## Member Function Documentation

RangedPrimitive::getMax | ( |  | ) |

Reimplemented in PrimitiveRange.

Definition at line 36 of file RangedPrimitive.class.php.

RangedPrimitive::getMin | ( |  | ) |

Reimplemented in PrimitiveRange.

Definition at line 21 of file RangedPrimitive.class.php.

RangedPrimitive::setMax | ( | $ | max | ) |

Returns:
  RangedPrimitive

Reimplemented in PrimitiveDate, and PrimitiveTime.

Definition at line 44 of file RangedPrimitive.class.php.

References $max.

RangedPrimitive::setMin | ( | $ | min | ) |

Returns:
  RangedPrimitive

Reimplemented in PrimitiveDate, and PrimitiveTime.

Definition at line 29 of file RangedPrimitive.class.php.

References $min.

## Member Data Documentation

RangedPrimitive::$max = null`[protected]`

Definition at line 19 of file RangedPrimitive.class.php.

Referenced by setMax(), PrimitiveImage::setMaxHeight(), and PrimitiveImage::setMaxWidth().

RangedPrimitive::$min = null`[protected]`

Definition at line 18 of file RangedPrimitive.class.php.

Referenced by setMin(), PrimitiveImage::setMinHeight(), and PrimitiveImage::setMinWidth().

The documentation for this class was generated from the following file:

- core/Form/Primitives/RangedPrimitive.class.php